# docker-redis

基于docker启动的redis服务

## 用法

```sh
git clone https://git.wandoubaba.com/wandoubaba/docker-redis.git
cd docker-redis
./service start
```

## 服务控制

```sh
# 启动
./service start
# 停止
./service stop
# 重启
./service restart
# 查看状态
./service status
```

## 配置

- 容器名称

在`docker-compose.yml`中设置容器名称，同时在`redis-cli`脚本和`service`脚本中修改对应的容器名称。

- 服务端口号

在`redis.conf`中修改`port 6379`一行，修改后需要重启服务生效。

- 连接密码

在`redis.conf`中修改`requirepass 123456`一行，修改后需要重启服务生效。

- 其他配置

在`redis.conf`中修改其他配置。

## 客户端

`redis-cli`脚本就是调用容器内的`redis-cli`工具实现客户端连接的，用法与`redis-cli`工具相同。
